# Uses of Interface
org.codehaus.janino.Java.PackageMemberTypeDeclaration

Packages that use Java.PackageMemberTypeDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.PackageMemberTypeDeclaration in org.codehaus.janino

Classes in org.codehaus.janino that implement Java.PackageMemberTypeDeclaration
Modifier and Type
Class
Description
`static final class`
`Java.PackageMemberAnnotationTypeDeclaration`
Representation of a package member annotation type declaration, a.k.a.
`static class`
`Java.PackageMemberClassDeclaration`
Implementation of a "package member class declaration", a.k.a.
`static final class`
`Java.PackageMemberEnumDeclaration`
Implementation of a "package member enum declaration", a.k.a.
`static class`
`Java.PackageMemberInterfaceDeclaration`
Representation of a "package member interface declaration", a.k.a.
Fields in org.codehaus.janino with type parameters of type Java.PackageMemberTypeDeclaration
Modifier and Type
Field
Description
`final List<Java.PackageMemberTypeDeclaration>`
Java.CompilationUnit.`packageMemberTypeDeclarations`
The top-level declarations in this compilation unit.
Methods in org.codehaus.janino that return Java.PackageMemberTypeDeclaration
Modifier and Type
Method
Description
`Java.PackageMemberTypeDeclaration`
Java.CompilationUnit.`getPackageMemberTypeDeclaration(String name)`
Returns the package member class or interface declared with the given name.
`Java.PackageMemberTypeDeclaration[]`
Java.CompilationUnit.`getPackageMemberTypeDeclarations()`
Gets all classes and interfaces declared in this compilation unit.
`Java.PackageMemberTypeDeclaration`
Parser.`parsePackageMemberTypeDeclaration()`
PackageMemberTypeDeclaration := ModifiersOpt PackageMemberTypeDeclarationRest
Methods in org.codehaus.janino with parameters of type Java.PackageMemberTypeDeclaration
Modifier and Type
Method
Description
`void`
Java.CompilationUnit.`addPackageMemberTypeDeclaration(Java.PackageMemberTypeDeclaration pmtd)`
Adds one top-level type declaration to this compilation unit.

## Uses of Java.PackageMemberTypeDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.PackageMemberTypeDeclaration
Modifier and Type
Method
Description
`Java.PackageMemberTypeDeclaration`
DeepCopier.`copyPackageMemberTypeDeclaration(Java.PackageMemberTypeDeclaration subject)`
Methods in org.codehaus.janino.util with parameters of type Java.PackageMemberTypeDeclaration
Modifier and Type
Method
Description
`Java.PackageMemberTypeDeclaration`
DeepCopier.`copyPackageMemberTypeDeclaration(Java.PackageMemberTypeDeclaration subject)`